API ReferenceS-CWT Google Pass templates
Retrieve a Google Pass template
GET
/v2/credentials/compact-semantic/digital-pass/google/templates/{id}Retrieves an existing Google Pass template by providing its ID.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_STARTCREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Google Pass template ID
Format
uuidid*string
Template ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact-semantic/digital-pass/google/templates/string"{ "id": "string", "passType": "apple", "name": "string", "metadata": { "issuerId": "string", "serviceAccountClientEmail": "string", "payPassId": "string" }}How would you rate this page?
Retrieve all Google Pass templates GET
Retrieves a list of all Google Pass templates available on your tenant.
Update a Google Pass template PUT
Updates a existing Google Pass template by providing its ID and a `.zip` file. Refer to our [Design a Google Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/google-templates) guide for more information on how to design the template and how to structure the `.zip` file.